Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004144 [DCSS] Bug Report tweak always 2011-06-17 18:20 2014-04-19 04:14
Reporter reid View Status public  
Assigned To MarvinPA
Priority normal Resolution done  
Status resolved   Product Branch 0.9 ancient branch
Summary 0004144: change Sil status light color to purple
Description This isn't really a bug report, but:

The Sil status light can easily blend in between RMsl and Swift, being the same color. It has a rather more significant gameplay effect than these, though; perhaps another color would be better? Purple seems appropriate due to the double-edged nature of silence (in the way that scrolls of immolation and potions of mutation are purple, for instance).
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0023800)
chris (updater)
2013-08-21 02:27

Currently, player-cast Silence induces a lightblue/blue* status light, external sources like silent spectre use lightmagenta instead.
Other lightmagenta lights: Fast+Slow, temporary Fly, DMsl, cTele, DChan, Petr, OTR's Toxic, Howl.

*: Silence spell changes flag color when the duration is expiring, so using "magenta" as set would mean a lightmagenta base after casting, just as with external, and then magenta when it's about to end.

Any opinions on whether that sounds like an improvement? Blue for the spell definitely isn't a great choice, and some currently lightmagenta flags like Fast+Slow would fit the picture. I'm not concerned about corner cases like both sources coinciding, as those just won't be relevant.
(0025855)
MarvinPA (developer)
2014-04-19 04:14

Done (with silence from a non-player source being lightred).

- Issue History
Date Modified Username Field Change
2011-06-17 18:20 reid New Issue
2013-08-21 02:27 chris Note Added: 0023800
2014-04-19 04:14 MarvinPA Note Added: 0025855
2014-04-19 04:14 MarvinPA Status new => resolved
2014-04-19 04:14 MarvinPA Fixed in Branch => 0.15 development branch
2014-04-19 04:14 MarvinPA Resolution open => done
2014-04-19 04:14 MarvinPA Assigned To => MarvinPA


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker